package pps.core.middle.service;

import cn.hutool.core.io.FileUtil;
import cn.hutool.core.util.URLUtil;
import cn.hutool.json.JSONUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import pps.core.middle.entity.StationMappingEnt;
import pps.core.middle.mapper.StationMappingMapper;
import pps.core.middle.service.data.station_mapping.GetStationMappingInput;
import pps.core.middle.service.data.station_mapping.GetStationMappingOutput;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.data.XSingleResult;
import xstartup.feature.api.annotation.XApiAnonymous;
import xstartup.feature.api.annotation.XApiGet;

import java.nio.charset.Charset;
import java.util.List;

@XService
public class StationMappingService {
    @XApiAnonymous
    @XApiGet(anonymous = true)
    public XSingleResult<GetStationMappingOutput> getStationMapping(XContext context, GetStationMappingInput input) {
        StationMappingMapper mapper = context.getBean(StationMappingMapper.class);
        List<StationMappingEnt> list = mapper.selectList(new LambdaQueryWrapper<>());
        for (StationMappingEnt stationMappingEnt : list) {
            context.getLogger().info(JSONUtil.toJsonStr(stationMappingEnt));
        }
        try {
            String url = "http://192.168.100.128/tqfj/202410181200天气预测数据SY.json";
            String s = FileUtil.readString(URLUtil.url(url), Charset.forName("UTF-8"));
            context.getLogger().info(s);
        } catch (Exception e) {
            context.getLogger().error(e.getMessage(), e);
        }
        return XSingleResult.success();
    }
}
